Subject: Re: [PATCH 2/4] random: vDSO: Don't use PAGE_SIZE and PAGE_MASK

From: "Jason A. Donenfeld" <[email-masked]>
Date: Tue, 27 Aug 2024 10:23:50 +0200

On Tue, Aug 27, 2024 at 10:16:18AM +0200, Christophe Leroy wrote:
> tglx or yourself suggested to put in a one of the vdso headers instead 
> of directly in getrandom.c. This is too fragile because PAGE_SIZE might 
> be absent in that header but arrive in getrandom.c through another header.

Oh jeeze, yea.

FYI, _PAGE_SIZE is defined on s390, so that might not be such a good
idea (from the previous version).

> The best would be to have an asm-generic definition of
> PAGE_SIZE and PAGE_MASK that all architectures use, but that's another
> level of work.

Yea that seems far too large of an operation to do here.

> > I'm really not a fan of making the code less idiomatic...
> 
> Ok, I have another idea, let's give it a try.

What's the other idea?